Save the current user's table settings
PUT
/table-settings/{tableKey}Creates or replaces the settings of a specific table for the user of the current JWT session only.
Contract
Parameter | Value |
|---|---|
| Section | table-settings |
| Authentication | CookieAuth |
| Consumes | application/json |
| Produces | application/json |
Parameters
2 parameters
Name | Location | Required | Type | Description |
|---|---|---|---|---|
| tableKey | path | yes | string | Stable table key |
| settings | body | yes | object | Table settings |
{ "columnWidths": { "<key>": 0 }, "knownColumns": [ "<string>" ], "rowHeight": "compact", "version": 0, "visibleColumns": [ "<string>" ] }
Responses
4 responses
Status | Description | Type |
|---|---|---|
200 | OK | object |
400 | Invalid settings | object |
401 | Unauthorized | object |
500 | Internal server error | object |
{ "settings": { "columnWidths": { "<key>": 0 }, "knownColumns": [ "<string>" ], "rowHeight": "compact", "version": 0, "visibleColumns": [ "<string>" ] }, "tableKey": "<string>", "updatedAt": "<string>" }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }